
#ifndef planche_H
#define planche_H

using namespace std ;

#include <iostream>
#include <cmath>


#include <qpainter.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <qprogressdialog.h>

#define SIZE_X 2053
#define SIZE_Y 512
#define SPEED 25

class planche : public QWidget
{
   Q_OBJECT

 public :
  planche() ;  // constructeur
  ~planche() ;

  void calculate() ;
  void saveImage() ;
  void restart(int,int ) ;
  void sizeChanged(int) ;
  void setParameters(int ) ;

 protected :
  virtual void paintEvent( QPaintEvent* ) ;
  virtual void closeEvent( QCloseEvent* ) ;
  virtual void keyPressEvent( QKeyEvent* ) ;
  //virtual void resizeEvent( QResizeEvent* ) ;

 private :
  void initialisePlanche( int pour,bool progress ) ;

  QPixmap _buffer ;
  QProgressDialog* _progressD ;
  int appli[8] ;
  int* old ;
  int* current ;
  int sizeX, sizeY,pourcentage ;

} ;

#endif
