using namespace std ;

#include <iostream>
#include <cmath>

#include <qpainter.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <qfiledialog.h>
#include <qmessagebox.h>


#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>

#include <qcombobox.h>
#include <qlayout.h>
#include <qstring.h>



#include "parametres.h"
#include "conteneur.h"

parametres::parametres()
{

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setGeometry( QRect( 10, 310, 270, 60 ) );

    pushButton1 = new QPushButton( groupBox1, "pushButton1" );
    pushButton1->setGeometry( QRect( 10, 10, 80, 30 ) );

    textLabel1 = new QLabel( groupBox1, "textLabel1" );
    textLabel1->setGeometry( QRect( 110, 10, 80, 20 ) );

    textLabel1_2 = new QLabel( groupBox1, "textLabel1_2" );
    textLabel1_2->setGeometry( QRect( 110, 30, 81, 20 ) );

    textLabel2 = new QLabel( this, "textLabel2" );
    textLabel2->setGeometry( QRect( 130, 20, 72, 20 ) );

    textLabel3 = new QLabel( this, "textLabel3" );
    textLabel3->setGeometry( QRect( 130, 50, 119, 20 ) );

    textLabel4 = new QLabel( this, "textLabel4" );
    textLabel4->setGeometry( QRect( 130, 80, 107, 20 ) );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setGeometry( QRect( 10, 20, 110, 280 ) );

    checkBox3 = new QCheckBox( buttonGroup1, "checkBox3" );
    checkBox3->setGeometry( QRect( 10, 90, 94, 22 ) );

    checkBox2 = new QCheckBox( buttonGroup1, "checkBox2" );
    checkBox2->setGeometry( QRect( 10, 60, 94, 22 ) );

    checkBox4 = new QCheckBox( buttonGroup1, "checkBox4" );
    checkBox4->setGeometry( QRect( 10, 120, 94, 22 ) );

    checkBox5 = new QCheckBox( buttonGroup1, "checkBox5" );
    checkBox5->setGeometry( QRect( 10, 150, 93, 22 ) );

    checkBox6 = new QCheckBox( buttonGroup1, "checkBox6" );
    checkBox6->setGeometry( QRect( 10, 180, 94, 22 ) );

    checkBox7 = new QCheckBox( buttonGroup1, "checkBox7" );
    checkBox7->setGeometry( QRect( 10, 210, 94, 22 ) );

    checkBox8 = new QCheckBox( buttonGroup1, "checkBox8" );
    checkBox8->setGeometry( QRect( 10, 240, 94, 22 ) );

    checkBox1 = new QCheckBox( buttonGroup1, "checkBox1" );
    checkBox1->setGeometry( QRect( 10, 30, 60, 20 ) );
    //  suite....

    comboBox2 = new QComboBox( FALSE, groupBox1, "comboBox2" );
    comboBox2->setGeometry( QRect( 200, 10, 60, 30 ) );

    textLabel1_9 = new QLabel( this, "textLabel1_9" );
    textLabel1_9->setGeometry( QRect( 25, 410, 100, 20 ) );

    comboBox3 = new QComboBox( FALSE, this, "comboBox3" );
    comboBox3->setGeometry( QRect( 135, 400, 127, 30 ) );

//------------
    resize( QSize(289, 450));
    //clearWState( WState_Polished );
    setMaximumSize(289, 450) ;
    setMinimumSize(289, 450) ;

    pushButton1->setText( "Restart"  );
    textLabel1->setText(  "pourcent of"  );
    textLabel1_2->setText( "white points"  );
    textLabel2->setText(  "Press :"  );
    textLabel3->setText(  "space to continue"  );
    textLabel4->setText(  "S to save image"  );
    buttonGroup1->setTitle(  "Application"  );
    checkBox3->setText(  "101"  );
    checkBox2->setText(  "110"  );
    checkBox4->setText(  "100"  );
    checkBox5->setText(  "011"  );
    checkBox6->setText(  "010"  );
    checkBox7->setText(  "001"  );
    checkBox8->setText(  "000"  );
    checkBox1->setText(  "111"  );
    checkBox7->setChecked( true) ;
    checkBox5->setChecked( true) ;
    checkBox4->setChecked( true) ;
    checkBox2->setChecked( true) ;

    comboBox2->clear();
    comboBox2->insertItem(  "0"  );
    comboBox2->insertItem(  "1"  );
    comboBox2->insertItem(  "5"  );
    comboBox2->insertItem(  "10"  );
    comboBox2->insertItem(  "20" );
    comboBox2->insertItem(  "30"  );
    comboBox2->insertItem(  "40" );
    comboBox2->insertItem(  "50"  );
    comboBox2->insertItem(  "60"  );
    comboBox2->insertItem(  "70"  );
    comboBox2->insertItem(  "80"  );
    comboBox2->insertItem(  "90"  );
    comboBox2->insertItem(  "95"  );
    comboBox2->insertItem(  "100"  );
    comboBox2->setCurrentItem ( 1 ) ;

    textLabel1_9->setText( "size of image" );
    comboBox3->clear();
    comboBox3->insertItem( "128x511"  ) ;
    comboBox3->insertItem( "256x1031"  );
    comboBox3->insertItem( "512x2053"  );
    comboBox3->insertItem( "1024x4099"  );
    comboBox3->insertItem( "2048x8209"  );
    comboBox3->insertItem( "4096x16411"  );
    comboBox3->setCurrentItem ( 2 ) ;

    // initialisation application

 setFocusPolicy(QWidget::StrongFocus) ;
 //grabKeyboard() ;

 _conteneur = new conteneur() ;
 _conteneur->setGeometry(0,0,800,512 ) ;
 _conteneur->show() ;

 QObject::connect(pushButton1,SIGNAL( clicked()),this,SLOT( slotRestart() ) ) ;

 QObject::connect(comboBox2,SIGNAL( activated(int)),this,SLOT( slotRestart() ) ) ;

 QObject::connect( this,SIGNAL(signalRestart(int,int)),_conteneur,SLOT(slotRestart(int,int))) ;
 QObject::connect( this,SIGNAL(signalCalculate()),_conteneur,SLOT(slotCalculate())) ;
 QObject::connect( this,SIGNAL(signalSaveImage()),_conteneur,SLOT(slotSaveImage())) ;
 QObject::connect( comboBox3,SIGNAL(activated(int)),_conteneur,SLOT(slotSizeChanged(int)) ) ;

 QObject::connect( checkBox8,SIGNAL(clicked()),this,SLOT(slotChangeParameters()) ) ;
 QObject::connect( checkBox7,SIGNAL(clicked()),this,SLOT(slotChangeParameters()) ) ;
 QObject::connect( checkBox6,SIGNAL(clicked()),this,SLOT(slotChangeParameters()) ) ;
 QObject::connect( checkBox5,SIGNAL(clicked()),this,SLOT(slotChangeParameters()) ) ;
 QObject::connect( checkBox4,SIGNAL(clicked()),this,SLOT(slotChangeParameters()) ) ;
 QObject::connect( checkBox3,SIGNAL(clicked()),this,SLOT(slotChangeParameters()) ) ;
 QObject::connect( checkBox2,SIGNAL(clicked()),this,SLOT(slotChangeParameters()) ) ;
 QObject::connect( checkBox1,SIGNAL(clicked()),this,SLOT(slotChangeParameters()) ) ;
}

/*
 *  Destroys the object and frees any allocated resources
 */
parametres :: ~parametres()
{
   delete _conteneur ;
}

int parametres :: getParameters()
{
 int a = 0 ;

 if (checkBox8->isChecked()) a += 1 ;
 if (checkBox7->isChecked()) a += 2 ;
 if (checkBox6->isChecked()) a += 4 ;
 if (checkBox5->isChecked()) a += 8 ;
 if (checkBox4->isChecked()) a += 16 ;
 if (checkBox3->isChecked()) a += 32 ;
 if (checkBox2->isChecked()) a += 64 ;
 if (checkBox1->isChecked()) a += 128 ;
 return a ;
}

void parametres :: slotChangeParameters()
{
 _conteneur->setParameters(getParameters()) ;
}

void parametres :: slotRestart()
{
 int v,a ;

 switch (comboBox2->currentItem())
	{
	 case  0 : v = 0 ; break ;
	 case  1 : v = 1 ; break ;
	 case  2 : v = 5 ; break ;
	 case  3 : v = 10 ; break ;
	 case  4 : v = 20 ; break ;
	 case  5 : v = 30 ; break ;
	 case  6 : v = 40 ; break ;
	 case  7 : v = 50 ; break ;
	 case  8 : v = 60 ; break ;
	 case  9 : v = 70 ; break ;
	 case 10 : v = 80 ; break ;
	 case 11 : v = 90 ; break ;
	 case 12 : v = 95 ; break ;
	 case 13 : v = 100 ; break ;
	 default:  v = 50 ;
	}

 emit signalRestart( v,getParameters() ) ;
}

void parametres :: keyPressEvent( QKeyEvent* event )
{
 int rep ;

 rep = event->key() ;

 if (rep == Qt::Key_Space )
	{
	 emit signalCalculate() ;
	}
 if (rep == Qt::Key_S )
	{
	 //releaseKeyboard() ;
	 emit signalSaveImage() ;
	 //grabKeyboard() ;
	}

}

void parametres :: resizeEvent(QResizeEvent* e )
{
 //_scrollview->setGeometry(0,0,width(),height()) ;
}





